# application.yaml
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: ims-application
  namespace: argocd
spec:
  project: default # 项目名
  source:
    repoURL: http://git.mmcuav.cn/iuav/ims.git
    targetRevision: HEAD #develop master # 分支名
    path: kustomization/overlays/dev  # 资源文件路径
  destination:
    server: https://kubernetes.default.svc  # API Server 地址
    namespace: dev # 部署应用的命名空间
  #  默认情况下每 3 分钟会检测 Git 仓库一次
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      selfHeal: true
      prune: true
